apiVersion: external-secrets.io/v1
kind: ExternalSecret
metadata:
  name: rancher-b2-creds
  namespace: cattle-resources-system
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: doppler-hetznerterra
    kind: ClusterSecretStore
  target:
    name: rancher-b2-creds
    creationPolicy: Owner
    template:
      type: Opaque
      data:
        accessKey: "{{ .B2_ACCOUNT_ID }}"
        secretKey: "{{ .B2_APPLICATION_KEY }}"
  data:
    - secretKey: B2_ACCOUNT_ID
      remoteRef:
        key: B2_ACCOUNT_ID
    - secretKey: B2_APPLICATION_KEY
      remoteRef:
        key: B2_APPLICATION_KEY
